<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * ausgeliehenen Filme anzeigen und bearbeiten
 */


if ( $_SESSION['UserRechte'] < 900 && 
     !( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
   )
    exit();


if ( $myVar->MenuID == 893 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";
    
    echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"insertFilm;\">";    
    echo "<tr>";
    echo "<td colspan=\"2\" class=\"description_Filmeinfuegen\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";
    echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Film reservieren";
    echo "</td>";   
    echo "</tr>";   
    echo "<tr>";
    echo "<td style=\"width:40%;\" class=\"description_Filmeinfuegen\">FilmID</td>";
    echo "<input type=\"hidden\" name=\"reservieren\" value=\"1\" />";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 50px; background-color: #FFFFFF;\" type=\"text\" name=\"myFilmID\" value=\"";
    if ( isset($_REQUEST) && array_key_exists( 'myFilmID' , $_REQUEST ) )
        echo $_REQUEST['myFilmID'];
    else
        echo $myVar->myFilmIDstring;
    echo "\" /><span style=\"font-size: 0.82em; font-family: Tahoma;\"> (mit KollektionsID, Bespiel: 1-028, oder 2-028)</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Benutzer</td>";
    echo "<td>";
    echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 330px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\" name=\"UserID\">";
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
    {
        echo "<option value=\"{$row['UserID']}\"";
        if ( array_key_exists( 'UserID' , $_REQUEST ) && $row['UserID'] == $_GET['UserID'] )
            echo "selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$row['UserName']} ({$row['Email']})</option>";
    }
    
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:10px 0px 0px 0px;\"><input class=\"buttonSubmitAktion\"  type=\"submit\" value=\"eintragen\" /></td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"set\" value=\"1\" />";
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";


    echo "<table style=\"border-top:1px solid black; width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    echo "<table style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td colspan=\"2\" class=\"description_Verliehen\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";

    
    
    // zhlen wieviele Filme insegsamt reserviert sind
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG re WHERE re.USERS_UserID != 0";
      $rs = $myDB->go($sql);
      $row= $myDB->getRow($rs); 
    
    if ( $row['Anz'] > 0 )
    {
       
        if ( $row['Anz'] == 1 ) {
            echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>ein reservierter Film";
        }
        else {
            echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>{$row['Anz']} reservierte Filme";
        }
    }

    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";

    echo "<div id=\"verliehen\">";
    if ( $row['Anz'] > 0 )
    {
        echo "<ul>";
        $sql = "SELECT DISTINCT UserID, UserName FROM $myDB->RESERVIERUNG INNER JOIN $myDB->USERS ON UserID = USERS_UserID ORDER BY UserName";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $row = $myDB->getRow($rs); ++$i )
        {
            echo "<li>{$row['UserName']} hat ";
            $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$row['UserID']} GROUP BY FILME_FilmID";
            $rs3 = $myDB->go($sql3);
            $row3['Anz'] = mysql_num_rows($rs3);
            //$row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] == 1 )
                echo "einen Film reserviert ";
            else
                echo $row3['Anz']." Filme reserviert ";

            $sql2 = "SELECT FilmID, COLLECT_CollectID, myFilmID, Titel, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID=FilmID WHERE re.USERS_UserID = {$row['UserID']} ORDER BY Titel";
            $rs2 = $myDB->go($sql2);
            echo "<ul>";
            while( $row2 = $myDB->getRow($rs2) )
            {
                $var = array();
                $var['MenuID'] = 280;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var); 
    
                echo "<li>";
                echo "<span id=\"Filmlink\" style=\"margin:0\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo $row2['Titel']." (FilmID: ".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).")";
                echo "</a></span><br />";
                
                $var = array();
                $var['set'] = 1;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 
                
                echo "<span style=\"padding:0px 0px 0px 30px; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\"><span style=\"font-weight:bold; color:#204777\">- verleihen</span>";
                echo " (DiskID: <span style=\"font-weight:bold;\">".getDiscID( $row2['FilmID'], $myDB, $settings )."</span>)</a> - reserviert seit ". formatDate( $row2['reserviertAm'] );
                if ( $myDB->MySQL_Ver )
                    echo " (".getDaysInWeeks( getDaysFromToday( $row2['reserviertAm'], $myDB ) ).")";
                echo "</span>";
                echo "<br />";

                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 
                
                echo "<span style=\"padding:0px 0px 0px 30px; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\"><span style=\"font-weight:bold; color:#204777\">- Reservierung lschen</span>";
                echo "</span></a>";
          
                echo "</span>";
                echo "</li>";
            }
            echo "</ul>";
            echo "</li>";
        }
        echo "</ul>";
    }
        echo "</div>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
}


?>
